net.sourceforge.pmd

## Class PropertyDescriptorFields

- java.lang.Object
- - net.sourceforge.pmd.PropertyDescriptorFields

-     public class PropertyDescriptorFields
      extends Object

  Author:
    Brian Remedios

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_VALUE`
    `static String` | `DELIMITER`
    `static String` | `DESC`
    `static String` | `DESCRIPTION`
    `static String` | `LEGAL_PACKAGES`
    `static String` | `MAX`
    `static String` | `MIN`
    `static String` | `NAME`
    `static String` | `TYPE`
    `static String` | `VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyDescriptorFields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### DESC

          public static final String DESC

      See Also:
        Constant Field Values

    - #### DELIMITER

          public static final String DELIMITER

      See Also:
        Constant Field Values

    - #### MIN

          public static final String MIN

      See Also:
        Constant Field Values

    - #### MAX

          public static final String MAX

      See Also:
        Constant Field Values

    - #### LEGAL_PACKAGES

          public static final String LEGAL_PACKAGES

      See Also:
        Constant Field Values

    - #### DEFAULT_VALUE

          public static final String DEFAULT_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropertyDescriptorFields

          public PropertyDescriptorFields()

Copyright © 2002-2013 InfoEther. All Rights Reserved.